<?php

/*
*	Syndeo CMS (former Site@School)
* 	is a website management system designed for primary schools.
* =============================================================================== *
* History Site@School:
* Original idea, coding (version 1.0) and design : Mark de Haan (mark@starwave.nl)
* Ideas, improvements, expansions (versions 1.1 - 2.4): 
* Karin Abma, Dirk Schouten and Fred Stuurman
* Coding version 1.1 - 2.4.10 Fred Stuurman
* =============================================================================== *
* Syndeo CMS Software Version: 3.0.01  
* Copyright (C) 2007-2011: Fred Stuurman (fc.stuurman@gmail.com)
* Core function:
* con_alerts.inc.php: last changed 05/11/2011 by Fred Stuurman (fc.stuurman@gmail.com)
* $Id$
* =============================================================================== *
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.

* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* See the GNU General Public License in the starnet directory for more details.
*/

if (!defined('IN_SAS'))
{
	die("Hacking attempt");
}

$modoption = "list_alerts";	//default choice

if (IsSet ($_GET['modoption']))
{
	$modoption = sanitize($_GET['modoption'], 15, 'A');
}

if (IsSet ($_GET['alert']))
{
	$alert = sanitize($_GET['alert'], 5 , 'I'); //sanitize, integer 5 pos.
}
if (IsSet ($_POST['sections']))
{
	$sections = sanitize($_POST['sections'], 20, 'A');
}
if (IsSet ($_POST['email']))
{
	$email = sanitize($_POST['email'], 80, 'A');
}
if (IsSet ($_POST['name']))
{
	$name = sanitize($_POST['name'], 30, 'S');
}
if (IsSet ($_POST['send_alerts']))
{
	$send_alerts = intval($_POST['send_alerts']);
}
if (IsSet ($_POST['send_alerts_per_section']))
{
	$send_alerts_per_section = intval($_POST['send_alerts_per_section']);
}

$table_alerts = $dbprefix . "alerts";
$table_prot = $dbprefix . "prot_sections";

include ("interface/header.inc.php");
?>

<script language="JavaScript" type="text/javascript">
function checkinput ( form )
{
    if (form.email.value == "") 
    {
    alert( "<?php echo $sas_lang['input_error'] ?>" );
    form.email.focus();
    return false ;
    }
    if (form.name.value == "") 
    {
    alert( "<?php echo $sas_lang['input_error'] ?>" );
    form.name.focus();
    return false ;
    }
  return true ;
}
</script>
<?php
include ("interface/menubar.inc.php");
include ("interface/menustart.inc.php");
$class = "";
if($modoption == "list_alerts") $class = "class='active'";
print "<li $class>
<a href=\"index.php?option=configuration&suboption=alerts&modoption=list_alerts\">" . $sas_lang['manage'] . "</a></li>";

$class = "";
if($modoption == "config") $class = "class='active'";
print "<li $class>
<a href=\"index.php?option=configuration&suboption=alerts&modoption=config\">" . $sas_lang['configuration'] . "</a></li>";

include ("interface/menuend.inc.php");

if (substr($access, 9, 1) != 1) //bit 10 off the access rights
{
	print "<span class=\"sas_module_title\">" . $sas_lang['noaccess'] . "</span><br />";
	print $sas_lang['noaccess_introduction'] . "<br><br><br>";
	include ("interface/footer.inc.php");
	exit;
}

print "<span class=\"sas_module_title\">" . $sas_lang['alerts'] . ":</span><br />";

switch ($modoption) // start of switch
{

	case save_config :
	
		mysqli_query($db,"UPDATE $table_configuration SET config_value = '".$send_alerts."' WHERE config_key = 'send_alerts'");
		mysqli_query($db,"UPDATE $table_configuration SET config_value = '".$send_alerts_per_section."' WHERE config_key='send_alerts_per_section'");
		print "<script language='javascript'>window.location = 'index.php?option=configuration&suboption=alerts&modoption=config'</script>";
	
	break;

	case config :
	
		print "<span class=\"sas_module_subtitle\">" . $sas_lang['configuration'] . ":</span><p>";
		print "<table cellspacing=\"2\" cellpadding=\"2\" width=\"720\" bgcolor=\"#CECECE\">\n";
		
		print "<FORM METHOD=\"POST\" NAME=\"theForm\" ACTION=\"index.php?option=configuration&suboption=alerts&modoption=save_config\">\n";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['alerts_send'] . "&nbsp;&nbsp;&nbsp;" . $sas_lang['yes'] . "\n";
		if ($sas_config['send_alerts'] == "1")
		{
			print "<input type=\"radio\" value=\"1\" name=\"send_alerts\" checked>\n";
			print "&nbsp;&nbsp;&nbsp; " . $sas_lang['no'] . "\n";
			print "<input type=\"radio\" name=\"send_alerts\" value=\"0\"></td></tr>\n";
		}
		else
		{
			print "<input type=\"radio\" value=\"1\" name=\"send_alerts\">\n";
			print "&nbsp;&nbsp;&nbsp; " . $sas_lang['no'] . "\n";
			print "<input type=\"radio\" name=\"send_alerts\" value=\"0\" checked></td></tr>\n";
		}
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['alerts_per_section'] . "\n
				&nbsp;&nbsp;" . $sas_lang['yes'] . "\n";
		if ($sas_config['send_alerts_per_section'] == "1")
		{
			print "<input type=\"radio\" value=\"1\" name=\"send_alerts_per_section\" checked>\n";
			print "&nbsp;&nbsp;&nbsp; " . $sas_lang['no'] . "\n";
			print "<input type=\"radio\" name=\"send_alerts_per_section\" value=\"0\"></td></tr>\n";
		}
		else
		{
			print "<input type=\"radio\" value=\"1\" name=\"send_alerts_per_section\">\n";
			print "&nbsp;&nbsp;&nbsp; " . $sas_lang['no'] . "\n";
			print "<input type=\"radio\" name=\"send_alerts_per_section\" value=\"0\" checked></td></tr>\n";
		}
		print "</table><p>";
		print "\n<br><button onclick=\"javascript:parent.location='index.php?option=configuration&suboption=alerts'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>\n";
		print "&nbsp;<button type=\"submit\" class=\"button\"><em><span>".$sas_lang['save']."</span></em></button>\n";
		print "</form>";
		
	break;

	case save_alert :
	
		if ((IsSet ($sections)) AND (trim ($sections) != "")) //did user post any sections?
		{
			$sections = str_replace(" ", "", $sections); //strip blank from input
			$section_array = explode(",", $sections); //create an array
			$error = 0;
			$msg = $sas_lang['sections_not_found'];
			
			foreach ($section_array as $value) //check if sections exist.
			{
				if (substr($value, 0, 1) == "P")
				{
					$table_sections = $dbprefix . "prot_sections";
					$value = str_replace("P", "", $value);
				}
				$result = mysqli_query($db,"SELECT id FROM $table_sections WHERE id = '".$value."'");
				$num_rows = mysqli_num_rows($result);
				if ($num_rows == 0)
				{
					$error = 1;
					$msg .= $value . " ";
				}
			}
		}
	
		if ($alert == 0) //when $alert is 0 we have a new alert
		{
			$query = mysqli_query($db,"SELECT email FROM $table_alerts WHERE email = '".$email."'");
			$results = mysqli_num_rows($query) ;
			if ($results != '0')
			{
				print "<script language=\"Javascript\">
					   <!--
					   alert (\"" . $sas_lang['alert_email_exists'] . ": $email\");
					   window.location = 'index.php?option=configuration&suboption=alerts&modoption=add_alert' ;	
					   //-->
					   </script>";
			}
			else
			{
				if ($error == 0)
				{
					mysqli_query($db,"INSERT INTO $table_alerts (id, email, sections, name) VALUES (NULL, '$email', '$sections', '$name')");
				}
				else
				{
					print "<span class=\"error\"><br>" . $msg . "<br><br></span>";
				}
			}
		}
		else
		{
			mysqli_query($db,"UPDATE $table_alerts SET name = '".$name."' WHERE id = '".$alert."'");
			mysqli_query($db,"UPDATE $table_alerts SET email = '".$email."' WHERE id = '".$alert."'");
			if ($error == 0)
			{
				mysqli_query($db,"UPDATE $table_alerts SET sections = '".$sections."' WHERE id = '".$alert."'");
			}
			else
			{
				print "<span class=\"error\">" . $msg . "</span>";
			}
		}
		print "<script language='javascript'>window.location = 'index.php?option=configuration&suboption=alerts&modoption=list_alerts'</script>";
		
	break;

	case delete_alert :
	
		mysqli_query($db,"DELETE from $table_alerts WHERE id = '".$alert."'");
		print "<script language='javascript'>window.location = 'index.php?option=configuration&suboption=alerts&modoption=list_alerts'</script>";
		
	break;

	case edit_alert :
	
		$query = "SELECT * FROM $table_alerts WHERE id = '".$alert."'"; // getting the alert info 
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING);  
		$alert_list = mysqli_fetch_array($result);
	
		$query2 = "SELECT id, name FROM $table_sections ";
		$result2 = mysqli_query($db,$query2) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query2 . '".',E_USER_WARNING); 
	
		$query3 = "SELECT id, name FROM $table_prot ORDER BY sort";
		$result3 = mysqli_query($db,$query3) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query2 . '".',E_USER_WARNING); 
		print "<span class=\"sas_module_subtitle\">" . $sas_lang['alert_change'] . ":</span><p>";
		print "<table cellspacing=\"2\" cellpadding=\"2\" width=\"780\" bgcolor=\"#CECECE\">\n";
		print "<FORM METHOD=\"POST\" NAME=\"theForm\" ACTION=\"index.php?option=configuration&suboption=alerts&modoption=save_alert&alert=$alert\">\n";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['fullname'] . ": (*)</td>
				<td class=\"sas_row_color_even\"><input tabindex=\"1\" type=\"text\" name=\"name\" size=\"40\" value=\"$alert_list[3]\" class=\"textfield\">&nbsp;</td>\n
				<td class=\"sas_row_color_even\" rowspan=\"5\">";
		print "<table><tr><td colspan=\"2\"><b>" . $sas_lang['public_area'] . " " . $sas_lang['section'] . ":</b></td></tr>\n";
		while ($section_list = mysqli_fetch_array($result2))
		{
			print "<tr><td>$section_list[0]</td><td>$section_list[1]</span></td></tr>\n";
		}
		print "<tr><td colspan=\"2\"><b>" . $sas_lang['protected_area'] . " " . $sas_lang['section'] . ":</b></td></tr>\n";
		while ($section_list = mysqli_fetch_array($result3))
		{
			print "<tr><td>P$section_list[0]</td><td>$section_list[1]</td></tr>\n";
		}
		print "</table>";
		print "</td></tr>";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['alert_sections'] . ":</td>\n
		<td class=\"sas_row_color_even\"><input tabindex=\"2\" type=\"text\" name=\"sections\" size=\"20\" value=\"$alert_list[2]\" class=\"textfield\">&nbsp;</td></tr>\n";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['email'] . ": (*)</td>\n
		<td class=\"sas_row_color_even\"><input tabindex=\"3\" type=\"text\" name=\"email\" size=\"60\" value=\"$alert_list[1]\" class=\"textfield\">&nbsp;</td></tr>\n";
		print "<tr><td class=\"sas_row_color_even\" colspan=\"2\"><span class=\"sas_module_lbl2\">" . $sas_lang['required_fields'] . "</span></td></tr>\n
			<tr><td class=\"sas_row_color_even\" colspan=\"2\">&nbsp;</td></tr>\n";
		
		print "</table>\n";
	
		print "\n<br><button onclick=\"javascript:parent.location='index.php?option=configuration&suboption=alerts'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
		print "&nbsp;<button type=\"submit\" class=\"button\"><em><span>".$sas_lang['save']."</span></em></button>";
		print "</form>\n";
		
	break;
	
	case add_alert :
		
		$query2 = "SELECT id, name FROM $table_sections ORDER BY sort";
		$result2 = mysqli_query($db,$query2) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query2 . '".',E_USER_WARNING); 
		$query3 = "SELECT id, name FROM $table_prot ORDER BY sort";
		$result3 = mysqli_query($db,$query3) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query2 . '".',E_USER_WARNING); 
		
		print "<span class=\"sas_module_subtitle\">" . $sas_lang['alert_add'] . ":</span><p>";
		print "<table cellspacing=\"2\" cellpadding=\"2\" width=\"780\" bgcolor=\"#CECECE\">\n";
		print "<FORM METHOD=\"POST\" NAME=\"theForm\" ACTION=\"index.php?option=configuration&suboption=alerts&modoption=save_alert&alert=0\">\n";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['fullname'] . ": (*)</td>\n
				<td class=\"sas_row_color_even\"><input tabindex=\"1\" type=\"text\" name=\"name\" size=\"40\" class=\"textfield\"></td>
				<td class=\"sas_row_color_even\" rowspan=\"5\">";
		print "<table><tr><td colspan=\"2\"><b>" . $sas_lang['public_area'] . " " . $sas_lang['section'] . ":</b></td></tr>\n";
		while ($section_list = mysqli_fetch_array($result2))
		{
			print "<tr><td>$section_list[0]</td><td>$section_list[1]</span></td></tr>\n";
		}
		print "<tr><td colspan=\"2\"><b>" . $sas_lang['protected_area'] . " " . $sas_lang['section'] . ":</b></td></tr>\n";
		while ($section_list = mysqli_fetch_array($result3))
		{
			print "<tr><td>P$section_list[0]</td><td>$section_list[1]</td></tr>\n";
		}
		print "</table>";
		print "</td></tr>\n";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['alert_sections'] . ":</td>\n
				<td class=\"sas_row_color_even\"><input tabindex=\"2\" type=\"text\" name=\"sections\" size=\"40\" class=\"textfield\"></td></tr>\n";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['email'] . ": (*)</td>\n
				<td class=\"sas_row_color_even\"><input tabindex=\"3\" type=\"text\" name=\"email\" size=\"60\" class=\"textfield\"></td></tr>\n";
		print "<tr><td class=\"sas_row_color_even\" colspan=\"2\"><span class=\"sas_module_lbl2\">" . $sas_lang['required_fields'] . "</span></td></tr>\n
				<tr><td class=\"sas_row_color_even\" colspan=\"2\">&nbsp;</td></tr>\n";
		
		print "</table>\n";
		print "\n<br><button onclick=\"javascript:parent.location='index.php?option=configuration&suboption=teachers'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
		print "&nbsp;<button type=\"submit\" class=\"button\"><em><span>".$sas_lang['save']."</span></em></button>";
		print "</form>\n";
		
	break;

	case list_alerts :
	
		$query = "SELECT * FROM $table_alerts "; // getting the alert info 
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
	
		print $sas_lang['alert_intro'] . "<br><br>\n";
		print "<table border=\"0\" cellpadding=\"2\" width=\"720\">\n
			   <tr><td colspan=\"2\">&nbsp;</td>\n
			   <td><b>" . $sas_lang['fullname'] . ":&nbsp;&nbsp;</b></td>\n
			   <td><b>" . $sas_lang['email'] . ":</b></td>\n
			   <td><b>" . $sas_lang['section'] . ":</b></td></tr>\n";
	
		while ($alert_list = mysqli_fetch_array($result))
		{
			$alert_sections = explode(",", $alert_list[2]);
			print "<tr>
					 <td><a href=\"index.php?option=configuration&suboption=alerts&modoption=delete_alert&alert=$alert_list[0]\" 
					 onClick=\"return confirm('" . $sas_lang['deleteuser_confirmation'] . "')\">\n
					 <img border=\"0\" src=\"graphics/delete.gif\" alt=\"" . $sas_lang['delete'] . "\" title=\"" . $sas_lang['delete'] . "\" width=\"16\" height=\"16\" class=\"tooltip\" ></td>\n
					 <td><a href=\"index.php?option=configuration&suboption=alerts&modoption=edit_alert&alert=$alert_list[0]\">\n
					 <img border=\"0\" src=\"graphics/edit.gif\" alt=\"" . $sas_lang['edit'] . "\" title=\"" . $sas_lang['edit'] . "\" width=\"16\" height=\"16\" class=\"tooltip\" ></a></td>\n
					 <td><a href=\"index.php?option=configuration&suboption=alerts&modoption=edit_alert&alert=$alert_list[0]\">$alert_list[3]</a></td>\n
					 <td>$alert_list[1]</td>\n
					 <td><span class=\"small_blue\">";
			$i = 0;
	
			while ($i < count($alert_sections)) //loop through the sections
			{
				if (strlen($alert_sections[$i]) > 0) //is string not empty?
				{
					if (substr($alert_sections[$i], 0, 1) == "P")
					{
						$id = substr($alert_sections[$i], 1, 1);
						$query2 = "SELECT name FROM $table_prot WHERE id = '".$id."'";
						$result2 = mysqli_query($db,$query2) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query2 . '".',E_USER_WARNING);  //get the section name prot area
					}
					else
					{
						$query2 = "SELECT name FROM $table_sections WHERE id = '".$alert_sections[$i]."'";
						$result2 = mysqli_query($db,$query2) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query2 . '".',E_USER_WARNING);  //get the section name
					}
					if (mysqli_num_rows($result2) == 1)
					{
						$section_name = mysqli_result($result2, 0);
						print "[$section_name] &nbsp;";
					}
				}
				next($alert_sections);
				$i++;
			}
	
			print "</span></td></tr>\n";
		}
		print "</table>\n";
		print "<p><br /><img src=graphics/add.gif alt=\"" . $sas_lang['alert_add'] . "\">&nbsp;
			   <a href=\"index.php?option=configuration&suboption=alerts&modoption=add_alert\">" . $sas_lang['alert_add'] . "</a>\n";
		print "<p><br><button onclick=\"javascript:parent.location='index.php?option=configuration'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>\n";
				
	break;
}
?>