<?php

/* General */
$sas_lang["Intro"]    = "Hier kunt u diverse polls aanmaken en beheren.";
$sas_lang["FormUndo"]  = "Wijzigingen ongedaan maken";
$sas_lang["FromClear"] = "Reset";
$sas_lang["FormEnter"] = "Vul een geldige gebruikersnaam en wachtwoord in";
$sas_lang["FormWrong"] = "Verkeerde gebruikersnaam of wachtwoord";
$sas_lang["FormOK"]    = "OK";
$sas_lang["Updated"]   = "De wijzigingen zijn opgeslagen!";
$sas_lang["NoUpdate"]  = "Er is een fout opgetreden! Er zijn geen veranderingen aangebracht!";
$sas_lang["Confirm"]   = "Weet u het zeker?";
$sas_lang["NavNext"]   = "Volgende pagina";
$sas_lang["NavPrev"]   = "Vorige pagina";
$sas_lang["License"]   = "Gebruikersovereenkomst";
$sas_lang["ScrollTxt"] = "Toets de PAGE DOWN toets in om de rest van de overeenkomst te zien.";

/* Templates */
$sas_lang["Templates"]  = "Template";
$sas_lang["tpl_exist"]  = "De naam van de template bestaat al.";
$sas_lang["tpl_new"]    = "Voeg een nieuwe template set toe.";
$sas_lang["tpl_succes"] = "Record is succesvol toegevoegd!"; 
$sas_lang["tpl_bad"]    = "De template naam is ongeldig!";
$sas_lang["tpl_save"]   = "Opslaan";
$sas_lang["preview"]    = "Voorbeeld";
$sas_lang["newtpl"]     = "Nieuwe Template Set";

/* Poll List */
$sas_lang["IndexTitle"]  = "Poll Lijst";
$sas_lang["IndexQuest"]  = "Vraag";
$sas_lang["IndexID"]     = "Poll ID";
$sas_lang["IndexDate"]   = "Datum";
$sas_lang["IndexDays"]   = "Dagen";
$sas_lang["IndexExp"]    = "Eind";
$sas_lang["IndexExpire"] = "afgelopen";
$sas_lang["IndexNever"]  = "nooit";
$sas_lang["IndexStat"]   = "Stats";
$sas_lang["IndexCom"]    = "Opmerking";
$sas_lang["IndexAct"]    = "Aktie";
$sas_lang["IndexDel"]    = "verwijderen";

/* Create A New Poll */
$sas_lang["NewTitle"]  = "Maak een nieuwe poll";
$sas_lang["NewOption"] = "Optie";
$sas_lang["NewNoQue"]  = "Je bent vergeten om het vraag veld in te vullen";
$sas_lang["NewNoOpt"]  = "Je bent vergeten om het optie veld in te vullen";

/* Poll Edit */
$sas_lang["EditStat"]  = "Status";
$sas_lang["EditText"]  = "Wijzig deze poll";
$sas_lang["EditReset"] = "Reset deze poll";
$sas_lang["EditOn"]    = "enabled";
$sas_lang["EditOff"]   = "disabled";
$sas_lang["EditHide"]  = "verborgen";
$sas_lang["EditLgOff"] = "loggen uit";
$sas_lang["EditLgOn"]  = "loggen aan";
$sas_lang["EditAdd"]   = "Voeg optie toe";
$sas_lang["EditNo"]    = "Er zijn geen opties toegevoegd!";
$sas_lang["EditOk"]    = "Opties toegevoegd!";
$sas_lang["EditSave"]  = "Sla veranderingen op";
$sas_lang["EditOp"]    = "Er zijn minstens 2 opties vereist!";
$sas_lang["EditMis"]   = "Vraag en opties zijn niet gedefineerd!";
$sas_lang["EditDel"]   = "Om een optie te verwijden moet je het optie veld leeg laten";
$sas_lang["EditCom"]   = "Laat opmerkingen toe";

/* General Settings */
$sas_lang["SetTitle"]   = "Algemene Instellingen";
$sas_lang["SetOption"]  = "Tabel, Font en Kleur opties";
$sas_lang["SetMisc"]    = "Overig";
$sas_lang["SetText"]    = "Veranderer de algemene instellingen";
$sas_lang["SetURL"]     = "URL naar image directory";
$sas_lang["SetBURL"]    = "URL naar poll directory";
$sas_lang["SetNo"]      = "Geen achtergevoegde slash";
$sas_lang["SetLang"]    = "Taal";
$sas_lang["SetPoll"]    = "Poll titel";
$sas_lang["SetButton"]  = "Stem knop";
$sas_lang["SetResult"]  = "Resultaten link";
$sas_lang["SetVoted"]   = "U heeft al gestemd";
$sas_lang["SetComment"] = "Stuur je opmerking";
$sas_lang["SetTab"]     = "Tabel breedte";
$sas_lang["SetBarh"]    = "Balk hoogte";
$sas_lang["SetBarMax"]  = "Max. balk lengte";
$sas_lang["SetTabBg"]   = "Tabel achtergrondkleur";
$sas_lang["SetFrmCol"]  = "Frame kleur";
$sas_lang["SetFontCol"] = "Font kleur";
$sas_lang["SetFace"]    = "Soort Font";
$sas_lang["SetShow"]    = "Laat resultaat zien als";
$sas_lang["SetPerc"]    = "percentages";
$sas_lang["SetVotes"]   = "stemmen";
$sas_lang["SetCheck"]   = "Controleer";
$sas_lang["SetNoCheck"] = "geen controle";
$sas_lang["SetIP"]      = "IP tabel";
$sas_lang["SetTime"]    = "locking timeout";
$sas_lang["SetHours"]   = "uren";
$sas_lang["SetOffset"]  = "Server tijd offset";
$sas_lang["SetEntry"]   = "Opmerkingen Bekeken Per Pagina";
$sas_lang["SetSubmit"]  = "Instellingen opslaan";
$sas_lang["SetEmpty"]   = "Verkeerde waarde";
$sas_lang["SetSort"]    = "Weergave volgorde";
$sas_lang["SetAsc"]     = "oplopend";
$sas_lang["SetDesc"]    = "aflopend";
$sas_lang["Setusort"]   = "niet sorteren";
$sas_lang["SetOptions"] = "Opties toegestaan in nieuwe polls";
$sas_lang["SetPolls"]   = "Polls per pagina";
$sas_lang["SetCaptcha"] = "CAPTCHA";

/* Poll Stats */
$sas_lang["StatCrea"]  = "Gemaakt";
$sas_lang["StatAct"]   = "Aktief";
$sas_lang["StatReset"] = "Reset log statistieken";
$sas_lang["StatDis"]   = "loggen is uitgeschakeld voor deze poll";
$sas_lang["StatTotal"] = "Totaal aantal stemmen";
$sas_lang["StatDay"]   = "Aantal stemmen vandaag";

/* Poll Comments */
$sas_lang["ComTotal"]  = "Totaal aantal opmerkingen";
$sas_lang["ComName"]   = "Naam";
$sas_lang["ComPost"]   = "gepost";
$sas_lang["ComDel"]    = "Weet je zeker dat je dit bericht wilt verwijderen?";

/* Help */
$sas_lang["Help"]       = "Help";
$sas_lang["HelpPoll"]   = "Om een poll in een webpagina te embedden moet je de onderstaande code invoegen";
$sas_lang["HelpRand"]   = "Het is ook mogelijk om een random poll weer te geven";
$sas_lang["HelpNew"]    = "Laat altijd de laatste poll zien";
$sas_lang["HelpSyntax"] = "Syntax";

/* Days */
$sas_lang['day0'] = "Zondag";		
$sas_lang['day1'] = "Maandag";		
$sas_lang['day2'] = "Dinsdag";		
$sas_lang['day3'] = "Woensdag";	
$sas_lang['day4'] = "Donderdag";	
$sas_lang['day5'] = "Vrijdag";		
$sas_lang['day6'] = "Zaterdag";	

/* Months */
$sas_lang['months0']  = "Januari";
$sas_lang['months1']  = "Februari";
$sas_lang['months2']  = "Maart";
$sas_lang['months3']  = "April";
$sas_lang['months4']  = "Mei";
$sas_lang['months5']  = "Juni";
$sas_lang['months6']  = "Juli";
$sas_lang['months7']  = "Augustus";
$sas_lang['months8']  = "September";
$sas_lang['months9']  = "Oktober";
$sas_lang['months10'] = "November";
$sas_lang['months11'] = "December";

/* translating this array does not change the reference */
$sas_lang['color0']  = "aqua";
$sas_lang['color1']  = "blauw";
$sas_lang['color2']  = "bruin";
$sas_lang['color3']  = "donkergroen";
$sas_lang['color4']  = "goud";
$sas_lang['color5']  = "groen";
$sas_lang['color6']  = "grijs";
$sas_lang['color7']  = "oranje";
$sas_lang['color8']  = "roze";
$sas_lang['color9']  = "paars";
$sas_lang['color10'] = "rood";
$sas_lang['color11'] = "geel";

?>