<?php

/*
*	Syndeo CMS (former Site@School)
* 	is a website management system designed for primary schools.
* =============================================================================== *
* History Site@School:
* Original idea, coding (version 1.0) and design : Mark de Haan (mark@starwave.nl)
* Ideas, improvements, expansions (versions 1.1 - 2.4): 
* Karin Abma, Dirk Schouten and Fred Stuurman
* Coding version 1.1 - 2.4.10 Fred Stuurman
* =============================================================================== *
* Syndeo CMS Software Version: 3.2.00  
* Copyright (C) 2007-2013: Fred Stuurman (fc.stuurman@gmail.com)
* Up/Download module : 
* download.php: last changed 02/08/2013 by Fred Stuurman (fc.stuurman@gmail.com)
* $Id$
* =============================================================================== *
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.

* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* See the GNU General Public License in the starnet directory for more details.
*/

define('IN_SAS', true);

$cat_id = 0;
$dwnl_id = 0 ;

if (IsSet ($_GET['dwnl_id']))
{
	$dwnl_id = intval($_GET['dwnl_id']);
}
if (IsSet ($_GET['cat_id']))
{
	$cat_id = intval($_GET['cat_id']);
}

include ("../../configuration/database.inc.php"); // including database configuration file and connecting
$db = new mysqli($db_server, $db_username, $db_password, $db_name);

$downloads_table = $dbprefix . "m_downloads";
$downloads_categorytable = $dbprefix . "m_downloads_cat";

$query = "SELECT config_value FROM $table_configuration WHERE config_key='serverpath'";
$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
$serverpath = mysqli_result($result, 0, 'config_value');
unset ($query);
unset ($result);

$query = "SELECT config_value FROM $table_configuration WHERE config_key='media_dir'";
$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
$media = mysqli_result($result, 0, 'config_value');
unset ($query);
unset ($result);

$query = "SELECT config_value FROM $table_configuration WHERE config_key='user_path'";
$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
$cmsdir = mysqli_result($result, 0, 'config_value');
unset ($query);
unset ($result);

$query = "SELECT public FROM $downloads_categorytable WHERE id = '" . $cat_id . "'";
$result = mysqli_query($db,$query);
$is_public = mysqli_result($result, 0, 'public');

if ($is_public == 1)
{
	require ("../../core/session.php"); //build a session
}

if (($is_public == 1) AND (!IsSet ($_SESSION['userid'])))
{
	exit;
}

//update download counter and last download date
mysqli_query($db,"UPDATE $downloads_table 
					SET counter = IF(ISNULL(counter),1,counter+1),
					last_download = NOW() WHERE id = '$dwnl_id'");

$query = "SELECT filename,stored_file FROM $downloads_table WHERE id = '" . $dwnl_id . "'";
$result = mysqli_query($db,$query);
$filename = @ mysqli_result($result, 0, "filename");
$stored_file = @ mysqli_result($result, 0, "stored_file");

$file_extension = strtolower(substr(strrchr($filename, "."), 1));

switch ($file_extension)
{
	case "swf" :
		$ctype = "application/x-shockwave-flash";
		break;
	case "pdf" :
		$ctype = "application/pdf";
		break;
	case "exe" :
		$ctype = "application/octet-stream";
		break;
	case "zip" :
		$ctype = "application/zip";
		break;
	case "doc" :
		$ctype = "application/msword";
		break;
	case "xls" :
		$ctype = "application/vnd.ms-excel";
		break;
	case "ppt" :
		$ctype = "application/vnd.ms-powerpoint";
		break;
	case "gif" :
		$ctype = "image/gif";
		break;
	case "png" :
		$ctype = "image/png";
		break;
	case "jpe" :
		$ctype = "image/jpg";
		break;
	case "jpeg" :
		$ctype = "image/jpg";
		break;
	case "jpg" :
		$ctype = "image/jpg";
		break;
	default :
		$ctype = "application/force-download";
}

//set the header type for download 
header("Cache-Control: must-revalidate, post-check=0, pre-check=0");
header("Content-Type: $ctype");
header("Content-Disposition: attachment; filename=\"$filename\"");

//present file output to user.
$string = file_get_contents($serverpath . $cmsdir . '/' . $media . '/downloads/' . $cat_id . '/' . $stored_file);
echo $string;

//needed for the conversion to mysqli because mysql_result does
function mysqli_result($res, $row, $field=0) 
{ 
    $res->data_seek($row); 
    $datarow = $res->fetch_array(); 
    return $datarow[$field]; 
}
?>