<?php

/*
*	Syndeo CMS (former Site@School)
* 	is a website management system designed for primary schools.
* =============================================================================== *
* History Site@School:
* Original idea, coding (version 1.0) and design : Mark de Haan (mark@starwave.nl)
* Ideas, improvements, expansions (versions 1.1 - 2.4): 
* Karin Abma, Dirk Schouten and Fred Stuurman
* Coding version 1.1 - 2.4.10 Fred Stuurman
* =============================================================================== *
* Syndeo CMS Software Version: 3.3.00  
* Copyright (C) 2007-2013: Fred Stuurman (fc.stuurman@gmail.com)
* Core function:
* con_personal.inc.php: last changed 20/12/2013 by Fred Stuurman (fc.stuurman@gmail.com)
* $Id$
* =============================================================================== *
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.

* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* See the GNU General Public License in the starnet directory for more details.
*/

if (!defined('IN_SAS'))
{
	die("Hacking attempt");
}
include ("interface/header.inc.php");
include ("interface/menubar.inc.php");
include ("interface/menustart.inc.php");
print "<li>&nbsp;</li>";	//dummy menu item.
include ("interface/menuend.inc.php");
include ("core/csrf.class.php");
$csrf = new csrf();
 
// Generate Token Id and Valid
$token_id = $csrf->get_token_id();
$token_value = $csrf->get_token($token_id);

print "<span class=\"sas_module_title\">" . $sas_lang['personalsettings'] . "</span><p>";

print "<FORM METHOD=\"POST\" NAME=\"theForm\" ACTION=\"index.php?option=configuration&save=personal\">";

$query = "SELECT name, email, username, editor FROM $table_users WHERE id = '".$userid."' LIMIT 1";
$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
$fullname = mysqli_result($result, 0, 'name');
$email = mysqli_result($result, 0, 'email');
$username = mysqli_result($result, 0, 'username');
$editor = mysqli_result($result, 0, 'editor');

unset ($query);
unset ($result);

print "<table cellspacing=\"2\" cellpadding=\"2\" width=\"720\" bgcolor=\"#CECECE\">";
// full name input field
print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['fullname'] . ":</td><td class=\"sas_row_color_even\">
      <input tabindex=\"1\" type=\"text\" name=\"fullname\" size=\"40\" value=\"$fullname\" class=\"textfield\">
      &nbsp;<img src=\"graphics/help.gif\" title=\"" . $sas_lang['fullname_tip'] . "\" class=\"tooltip\"></td></tr>";

// e-mail address input field
print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['email'] . ":</td><td class=\"sas_row_color_even\">
      <input tabindex=\"2\" type=\"text\" name=\"email\" size=\"40\" value=\"$email\" class=\"textfield\">
      &nbsp;<img src=\"graphics/help.gif\" title=\"" . $sas_lang['email_tip'] . "\" class=\"tooltip\"></td></tr>";

// username input field
print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['username'] . ":</td><td class=\"sas_row_color_even\">
      <input tabindex=\"3\" type=\"text\" name=\"username\" size=\"20\" value=\"$username\" class=\"textfield\">
      &nbsp;<img src=\"graphics/help.gif\" title=\"" . $sas_lang['username_tip'] . "\" class=\"tooltip\"></td></tr>";

// password input field
print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['password'] . ":</td><td class=\"sas_row_color_even\">
	  <input tabindex=\"4\" type=\"password\" name=\"password\" size=\"20\" value=\"********\" class=\"textfield\">
	  &nbsp;<img src=\"graphics/help.gif\" title=\"" . $sas_lang['password_tip'] . "\" class=\"tooltip\"></td></tr>";

	  // Editor selection field
print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['editor'] . "</td><td class=\"sas_row_color_even\"><select size=\"1\" name=\"neweditor\">\n";

$query = "SELECT id, name FROM $table_editors";
$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
while ($editor_list = mysqli_fetch_array($result))
{
	if ($editor_list[0] == $editor)
	{
		print "<option selected value=\"$editor_list[0]\">$editor_list[1]</option>\n";
	}
	else
	{
		print "<option value=\"$editor_list[0]\">$editor_list[1]</option>\n";
	}
}

print "</select>&nbsp;<img src=\"graphics/help.gif\" title=\"" . $sas_lang['editor_tip'] . "\" class=\"tooltip\"></td></tr>";

print "</table>
		<input type=\"hidden\" name=\"$token_id\" value=\"$token_value\" />\n\n<p>";
print "\n<br><button onclick=\"javascript:parent.location='index.php?option=configuration'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
print "&nbsp;<button type=\"submit\" class=\"button\"><em><span>".$sas_lang['save']."</span></em></button>
		</form>";

include ("interface/footer.inc.php");