<?php

/*
*	Syndeo CMS (former Site@School)
* 	is a website management system designed for primary schools.
* =============================================================================== *
* History Site@School:
* Original idea, coding (version 1.0) and design : Mark de Haan (mark@starwave.nl)
* Ideas, improvements, expansions (versions 1.1 - 2.4): 
* Karin Abma, Dirk Schouten and Fred Stuurman
* Coding version 1.1 - 2.4.10 Fred Stuurman
* =============================================================================== *
* Syndeo CMS Software Version: 2.7.00  
* Copyright (C) 2007: Fred Stuurman (fc.stuurman@gmail.com)
* Core function:
* send_alerts.php: last changed 18/09/2008 by Fred Stuurman (fc.stuurman@gmail.com)
* $Id$
* =============================================================================== *
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.

* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* See the GNU General Public License in the starnet directory for more details.
*/
if (!defined('IN_SAS'))
{
	die("Hacking attempt");
}

$table_alerts = $dbprefix . "alerts";
$query = "SELECT id, email, sections, name FROM $table_alerts"; // getting the alert info 
$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 

if (strrpos($siteurl, '/') != strlen($siteurl) - 1)
{
	$siteurl .= '/'; //add last slash if not present
}

if (($sas_config['send_alerts'] == "1") and (mysqli_num_rows($result) > 0))
{
	if ($site == "protected")
	{
		$link = "<a href=" . $site_url . "index.php?section=$section&page=$savepage&site=protected>" . $site_url . "index.php?section=$section&page=$savepage&site=protected";
		$msg = $sas_lang['page'] . ": " . stripslashes($title) . " \n" . $link . "</a>";
		$section = "P" . $section;
	}
	else
	{
		$link = "<a href=" . $site_url . "index.php?section=$section&page=$savepage>" . $site_url . "index.php?section=$section&page=$savepage";
		$msg = $sas_lang['page'] . ": " . stripslashes($title) . " \n" . $link . "</a>";
	}
	
	//add ip address and username for the email.
	$ip = $_SERVER["REMOTE_ADDR"];
	$msg .= "<hr>IP: ".$ip . " Username : " . $_SESSION['name'] ; 
	
	require ("core/class.phpmailer.php"); //use the phpmailer class
	$mail = new PHPMailer();
	$mail->CharSet = $sas_lang['lang_charset'] ;
	$mail->From = $sas_config['email']; //site email address
	$mail->FromName = $sitename;
	$mail->Subject = $sas_lang['alert_message'] . $sitename;
	$mail->Body = $msg;
	$mail->IsHTML(true);

	if ($sas_config['send_alerts_per_section'] == "1") //we are going to send alerts per section
	{
		while ($alert_list = mysqli_fetch_array($result))
		{
			$alert_sections = explode(",", $alert_list[2]);
			$i = 0;
			while ($i < count($alert_sections) + 1) //loop through the sections
			{
				if ($section == $alert_sections[$i]) //section matches the saved section
				{
					$email_list .= $alert_list[1] . ","; //add email to the list
					$mail->AddAddress($alert_list[1]); //add email to the list
				}
				next($alert_sections);
				$i++;
			}
		}
		if ($email_list != "")
		{
			$mail->Send();
		}
	}
	else //we have send the whole list a mail
	{
		while ($alert_list = mysqli_fetch_array($result)) //create list with emails
		{
			$mail->AddAddress($alert_list[1]); //add email to the list
		}
		$mail->Send(); //send the mail

	}
}
?>